[Previous] [Next] [Contents]

## `SG::CompPerm` -- compares two permutations

#### Call(s)

`SG::CompPerm(perm1,perm2,kind)`

#### Parameters

`perm1, perm2` | - | any lists denoting permutations

#### Options

`kind=lexic,cixel,bruhat` | -

#### Introduction

The `SG::CompPerm` function compares two permutations. The ordering is set by the argument `kind`, and the function returns `TRUE` if `perm1`>=`perm2` according to the choosen ordering.

- `kind=lexic` for lexicographic ordering.

- `kind=cixel` for inverse lexicographic ordering that is lexicographic ordering from right to left.

- `kind=bruhat` to compare the two permutations according to the Bruhat order.

#### Example 1

    >> muEC::SG::CompPerm( [3,1,2], [1,3,2], lexic );

                                       TRUE

    >> muEC::SG::CompPerm( [3,1,2], [1,3,2], cixel );

                                       FALSE

    >> muEC::SG::CompPerm( [3,1,2], [1,3,2], bruhat );

                                       TRUE

#### Related Functions

`ListPerm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package